Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 599332 - e1000 and e1000e driver behaviour differences [rhel-5.5.z]
e1000 and e1000e driver behaviour differences [rhel-5.5.z]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Jiri Pirko
Red Hat Kernel QE team
: ZStream
: 599331 (view as bug list)
Depends On: 586416
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 03:10 EDT by RHEL Product and Program Management
Modified: 2015-05-04 21:20 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The e1000 and e1000e drivers for Intel PRO/1000 network devices were updated with an enhanced algorithm for adaptive interrupt modulation in the Red Hat Enterprise Linux 5.1 release. When InterruptThrottleRate was set to "1" (thus enabling the new adaptive mode), certain traffic patterns could have caused high CPU usage. This update provides a way to set InterruptThrottleRate to "4", which switches the mode back to the simpler and non-adaptive algorithm. Doing so may decrease CPU usage by the e1000 and e1000e drivers depending on traffic patterns. Note: you can change the InterruptThrottleRate setting using the ethtool utility by running the following command: ethtool -C ethX rx-usecs 4
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-01 14:28:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0504 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-07-01 14:26:58 EDT

  None (edit)
Description RHEL Product and Program Management 2010-06-03 03:10:50 EDT
This bug has been copied from bug #586416 and has been proposed
to be backported to 5.5 z-stream (EUS).
Comment 4 Don Howard 2010-06-03 13:08:19 EDT
*** Bug 599331 has been marked as a duplicate of this bug. ***
Comment 5 Jiri Pirko 2010-06-07 09:31:16 EDT
in 2.6.18-194.6.1.el5
Comment 9 Douglas Silas 2010-06-28 16:29:32 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
The e1000 and e1000e drivers for Intel PRO/1000 network devices were updated with an enhanced algorithm for adaptive interrupt modulation in the Red Hat Enterprise Linux 5.1 release. When InterruptThrottleRate was set to "1" (thus enabling the new adaptive mode), certain traffic patterns could have caused high CPU usage. This update provides a way to set InterruptThrottleRate to "4", which switches the mode back to the simpler and non-adaptive algorithm. Doing so may decrease CPU usage by the e1000 and e1000e drivers depending on traffic patterns.

Note: you can change the InterruptThrottleRate setting using the ethtool utility by running the following command:

    ethtool -C ethX rx-usecs 4
Comment 11 errata-xmlrpc 2010-07-01 14:28:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0504.html

Note You need to log in before you can comment on or make changes to this bug.